﻿// There are three types of variables you can use.  
// gameVars are cleared when a new game is started.  They're used for typical game variables like the score and whether or not you've done something
// gamePersists are not cleared when a new game is started.  They're used for configuration choices a user makes like the the size of their screen
// gameAchieves are also not cleared when a new game is started.  They're used for achievments.  The Simple Template has no achievements.
var gameVars = ["events0", "happy", "test", "sex1", "sex2", "sex3", gInStats, gCssSize];
var gamePersists = [gUserChose, gUserSize];

// This is the page the game will load when the user clicks Start.htm.
var gameStartPage = "_begin";

// The gameTitle is the name that shows up in the browser tab.  Set it to the name of your game.
var gameTitle = "Quiz with Nicole";
// The gameDelim is what makes one game use different save game slots than the other.  If you
// want two games to use the same saves (ie a Part1 and Part2) use the same delim.  If you want
// the games to be separate, use different delims.
var gameDelim = "Quiz with Nicole";

// The gameDoDebug determines whether or not to show the debug information at the bottom of the screen.
// Set it to 1 when you're working on your game and to 0 when you release it to players.
var gameDoDebug = 0;

// The gameNumDebugCols sets the number of columns to display variables in
var gameNumDebugCols = 3;

// You can have as many sizes for your game pictures as you'd like.  You just need to create a sizeN.css file
// for each (ie size0.css, size1.css, size2.css).  The gameScreenWidths and gameScreenHeights variables are
// used to decide which size the game should use and represent user screen sizes.  The game will default
// to the largest size that is smaller than gameScreenWidths and Heights.
// For instance, if the user has a 1400x1000 screen, it'll pick the middle one.
var gameScreenWidths = [0, 1280, 1920];
var gameScreenHeights = [0, 900, 1080];

// Events are a way to store 32 "yes" or "no" choices in a single variable.
// In a fcn you can write something like: SetEvent('events0', 'showNeeded');
// events0
var showNeeded = 0;
var numEvents = 1;

// This is the text that is shown at the bottom of the screen.  It shows the score and 
// has the menu and quicksave/quickrestore.
// The variables that start with gt (ie gtMenu) are defined in text.en.ps (and the localized equivalents).
function GameShowScore()
{
    var inStats = ReadVar(gInStats);

    var save = " <button onclick=\"SaveState('0');\" >" + gtSave + "</button> ";
    var restore = " <button onclick=\"RestoreState('0');\" >" + gtRestore + "</button> ";
    var restart = "<button onclick=\"GotoStatsPage('_restart');\" >" + gtRestart + "</button> ";
    var size = "<button onclick=\"GotoStatsPage('_size');\" >" + gtSize + "</button> ";
    var ret = "<button onclick=\"ReturnFromStatsPage();\" >" + gtReturn + "</button> ";

    if (inStats == 0)
    {
        OutputScoreString(size + restart);
    }
    else
    {
        OutputScoreString(ret);
    }
}

// This is called by GameShowScore to calculate the score.  Do whatever math 
// you want on your variables here and return the result as the score.
function CalcScore()
{
    var happy = ReadVar("happy");

    return happy;
}

function CalcTest()
{
    var test = ReadVar("test");

    return test;
}

function CalcSex1()
{
    var sex1 = ReadVar("sex1");

    return sex1;
}

function CalcSex2()
{
    var sex2 = ReadVar("sex2");

    return sex2;
}

function CalcSex3()
{
    var sex3 = ReadVar("sex3");

    return sex3;
}


// This is a debug function used to allow you to set and clear events individually.
function GameDebugConfigureEvents()
{
    var index;
    var events = ReadVar("events0");
    var str = "<br/><br/>Modify Events 0x" + events.toString(16) + " | ";

    for (index = 0; index < numEvents; index++)
    {
        var val = ReadVarBit("events0", index);
        str += val + " <button onclick=\"SetVarBit('events0', " + index + ");\">S" + index + "</button> <button onclick=\"ClearVarBit('events0', " + index + ");\">C" + index + "</button> | ";
    }

    return str;
}

// This function is used by the "_size" page to display the current size.  If you look at the page, you'll see a part where it says
// [[Size()]]
// That calls this.
function Size()
{
    var size = ReadVar("cssSize");
    var str;
    switch (size)
    {
        default:
        case 0:
            str = gtSmall;
            break;

        case 1:
            str = gtMedium;
            break;

        case 2:
            str = gtLarge;
            break;
    }

    return str;
}


// Put your functions here.
// Typically these are "check" functions that determine what page to go to.  
// Remember to use GotoPage() instead of document.location
// And remember that many of the functions from AC1 have changed names.  
// For instance, its AddToVar now instead of varPlus1.  

function CheckTest()
{
    score = CalcTest();

    if (score > 4 && score < 8)
    {
        GotoPage("ExamSufficient");        
    }
    else if (score > 7)
    {
        GotoPage("ExamSuccess")
    }
    else
    {
        GotoPage("ExamFail1");
    }
}

function CheckSex()
{
    position1 = CalcSex1();
    position2 = CalcSex2();
    position3 = CalcSex3();

    if (position1 > 0 && position2 > 0 && position3 > 0)
    {
        GotoPage("PostSex");        
    }
    else
    {
        GotoPage("ExamPreAction33Choose");
    }
}



